/ api / name / gb.returnconststring
GB.ReturnConstString
Syntax

    void GB.ReturnConstString ( char *str , long len )

Returns a constant String value to the caller of the method or property.

- str is the string to be returned.
- len is the length of this string.

This string must be a constant string, i.e. it must never disappear from memory.

| This function does not abort the method or property. You must explicitely return from it by using the `return` instruction.

### See also

Returning Strings